---
layout: post
title: "Tor is looking for a Browser Hacker and an Extension Developer!"
permalink: tor-looking-browser-hacker-and-extension-developer
date: 2013-11-22
author: mikeperry
category: blog
tags: ["jobs", "tbb", "tor-browser"]
---

The Tor Project has two browser-related job openings available!

We are looking for a [C++ browser developer](https://www.torproject.org/about/jobs-browserhacker.html.en) to work on our Firefox-based browser, and a [Firefox extension developer](https://www.torproject.org/about/jobs-extdev.html.en) to work on our growing number of Firefox extensions. Our ideal candidates would be comfortable in both roles, but we are also interested in hearing from people with either skillset.

On the C++ side, your tasks would include implementing new Firefox APIs and browser behavior changes; looking for and resolving web privacy issues; fixing bugs; responding on short notice to security issues; and helping to merge patches upstream.

On the extension development side, your primary tasks will include writing patches and UI improvements for Tor Birdy, Torbutton, HTTPS-Everywhere, Tor Launcher, and an OTR plugin for InstantBird. These improvements will primarily revolve around improving usability, Tor configuration, and security for our users.

Instructions on how to apply to the C++ position can be found on the [browser hacker job posting](https://www.torproject.org/about/jobs-browserhacker.html.en). If you would prefer to focus on extension development, you should apply to the [extension developer](https://www.torproject.org/about/jobs-extdev.html.en) position.

